[package]
name = "DnfUtils"
version = "0.1.0"
edition = "2024"

[lib]
name = "utils"
crate-type = ["staticlib"]

[profile.release]
lto = true
codegen-units = 1
opt-level = "z"
strip = "symbols"
panic = "abort"

[dependencies]
cxx = "1.0.192"
fern = "0.7.1"
futures-util = "0.3.31"
indicatif = "0.18.3"
log = "0.4.29"
reqwest = { version = "0.13.1", default-features = false, features = ["stream", "native-tls"] }
tokio = { version = "1.49.0", features = ["rt-multi-thread"] }
chrono = "0.4.43"
colored = "3.1.1"
env_logger = "0.11.8"
encoding_rs = "0.8.35"
serde = { version = "1.0.228", features = ["derive"] }
toml = "0.9.11"
prost = "0.14.3"
tokio-tungstenite = "0.28.0"
bytes = "1.11.0"
spin = "0.10.0"

[build-dependencies]
cxx-build = "1.0.192"
prost-build = "0.14.3"
